ImageInsights Class
The top-level object that the response includes when an image insights request succeeds. For information about requesting image insights, see the insightsToken query parameter. The modules query parameter affects the fields that Bing includes in the response. If you set modules to only Caption, then this object includes only the imageCaption field.
Variables are only populated by the server, and will be ignored when sending a request.
All required parameters must be populated in order to send to Azure.
- Inheritance
-
azure.cognitiveservices.search.imagesearch.models._models_py3.ResponseImageInsights
Constructor
ImageInsights(**kwargs)
Parameters
Variables
- id
- str
A String identifier.
- read_link
- str
The URL that returns this resource.
- web_search_url
- str
The URL To Bing's search result for this item.
- image_insights_token
- str
A token that you use in a subsequent call to the Image Search API to get more information about the image. For information about using this token, see the insightsToken query parameter. This token has the same usage as the token in the Image object.
- best_representative_query
- Query
The query term that best represents the image. Clicking the link in the Query object, takes the user to a webpage with more pictures of the image.
- image_caption
- ImageInsightsImageCaption
The caption to use for the image.
- related_collections
- RelatedCollectionsModule
A list of links to webpages that contain related images.
- pages_including
- ImagesModule
A list of webpages that contain the image. To access the webpage, use the URL in the image's hostPageUrl field.
- shopping_sources
- AggregateOffer
A list of merchants that offer items related to the image. For example, if the image is of an apple pie, the list contains merchants that are selling apple pies.
- related_searches
- RelatedSearchesModule
A list of related queries made by others.
- recipes
- RecipesModule
A list of recipes related to the image. For example, if the image is of an apple pie, the list contains recipes for making an apple pie.
- visually_similar_images
- ImagesModule
A list of images that are visually similar to the original image. For example, if the specified image is of a sunset over a body of water, the list of similar images are of a sunset over a body of water. If the specified image is of a person, similar images might be of the same person or they might be of persons dressed similarly or in a similar setting. The criteria for similarity continues to evolve.
- visually_similar_products
- ImagesModule
A list of images that contain products that are visually similar to products found in the original image. For example, if the specified image contains a dress, the list of similar images contain a dress. The image provides summary information about offers that Bing found online for the product.
- recognized_entity_groups
- RecognizedEntitiesModule
A list of groups that contain images of entities that match the entity found in the specified image. For example, the response might include images from the general celebrity group if the entity was recognized in that group.
- image_tags
- ImageTagsModule
A list of characteristics of the content found in the image. For example, if the image is of a person, the tags might indicate the person's gender and the type of clothes they're wearing.
Feedback
Submit and view feedback for